ETSI STF525 / Internal Testing test suite This project provides an internal testing test suite and its associated Test Adapter/Codec

Macros | Functions
ITS_ContainerCodec.cc File Reference
`#include "ITS_ContainerCodec.hh"`
`#include "asn1/ItsPduHeader.h"`
`#include "asn1/ReferencePosition.h"`
`#include "asn1/PathHistory.h"`
`#include "asn1/ProtectedCommunicationZonesRSU.h"`
`#include "asn1/Heading.h"`
`#include "asn1/Speed.h"`
`#include "asn1/VehicleLength.h"`
`#include "asn1/LongitudinalAcceleration.h"`
`#include "asn1/Curvature.h"`
`#include "asn1/YawRate.h"`
`#include "asn1/SteeringWheelAngle.h"`
`#include "asn1/LateralAcceleration.h"`
`#include "asn1/VerticalAcceleration.h"`
`#include "asn1/CenDsrcTollingZone.h"`
`#include "asn1/CauseCode.h"`
`#include "asn1/PtActivation.h"`
`#include "asn1/ClosedLanes.h"`

## Macros
#define | T2A(F) titan2asn1c(t.F(), a.F)
#define | T2A_O(F) titan2asn1c_opt(t.F(), a.F)
#define | A2T(F) asn1c2titan(a.F)
#define | A2T_O(T, F) asn1c2titan_opt<T>(a.F)

## Functions
void | titan2asn1c (const ITS__Container::ItsPduHeader &t, ItsPduHeader &a)
ITS__Container::ItsPduHeader | asn1c2titan (const ItsPduHeader &a)
void | titan2asn1c (const ITS__Container::ReferencePosition &t, ReferencePosition &a)
ITS__Container::ReferencePosition | asn1c2titan (const ReferencePosition &a)
void | titan2asn1c (const ITS__Container::VehicleRole &t, long &a)
void | titan2asn1c (const ITS__Container::DeltaReferencePosition &t, DeltaReferencePosition &a)
ITS__Container::DeltaReferencePosition | asn1c2titan (const DeltaReferencePosition &a)
void | titan2asn1c (const ITS__Container::PathPoint &t, PathPoint &a)
const ITS__Container::PathPoint | asn1c2titan (const PathPoint &a)
void | titan2asn1c (const ITS__Container::PathHistory &t, PathHistory &a)
ITS__Container::PathHistory | asn1c2titan (const PathHistory &a)
void | titan2asn1c (const ITS__Container::ProtectedZoneType &t, ProtectedZoneType_t &a)
void | titan2asn1c (const ITS__Container::ProtectedCommunicationZone &t, ProtectedCommunicationZone_t &a)
ITS__Container::ProtectedCommunicationZone | asn1c2titan (const ProtectedCommunicationZone_t &a)
void | titan2asn1c (const ITS__Container::ProtectedCommunicationZonesRSU &t, ProtectedCommunicationZonesRSU &a)
ITS__Container::ProtectedCommunicationZonesRSU | asn1c2titan (const ProtectedCommunicationZonesRSU &a)
void | titan2asn1c (const ITS__Container::Heading &t, Heading &a)
ITS__Container::Heading | asn1c2titan (const Heading &a)
void | titan2asn1c (const ITS__Container::Speed &t, Speed &a)
ITS__Container::Speed | asn1c2titan (const Speed &a)
void | titan2asn1c (const ITS__Container::VehicleLengthConfidenceIndication &t, VehicleLengthConfidenceIndication_t &a)
void | titan2asn1c (const ITS__Container::VehicleLength &t, VehicleLength &a)
ITS__Container::VehicleLength | asn1c2titan (const VehicleLength &a)
void | titan2asn1c (const ITS__Container::LongitudinalAcceleration &t, LongitudinalAcceleration &a)
ITS__Container::LongitudinalAcceleration | asn1c2titan (const LongitudinalAcceleration &a)
void | titan2asn1c (const ITS__Container::CurvatureConfidence &t, CurvatureConfidence_t &a)
void | titan2asn1c (const ITS__Container::Curvature &t, Curvature &a)
ITS__Container::Curvature | asn1c2titan (const Curvature &a)
void | titan2asn1c (const ITS__Container::YawRateConfidence &t, YawRateConfidence_t &a)
void | titan2asn1c (const ITS__Container::YawRate &t, YawRate &a)
ITS__Container::YawRate | asn1c2titan (const YawRate &a)
void | titan2asn1c (const ITS__Container::SteeringWheelAngle &t, SteeringWheelAngle &a)
ITS__Container::SteeringWheelAngle | asn1c2titan (const SteeringWheelAngle &a)
void | titan2asn1c (const ITS__Container::LateralAcceleration &t, LateralAcceleration &a)
ITS__Container::LateralAcceleration | asn1c2titan (const LateralAcceleration &a)
void | titan2asn1c (const ITS__Container::VerticalAcceleration &t, VerticalAcceleration &a)
ITS__Container::VerticalAcceleration | asn1c2titan (const VerticalAcceleration &a)
void | titan2asn1c (const ITS__Container::CenDsrcTollingZone &t, CenDsrcTollingZone &a)
ITS__Container::CenDsrcTollingZone | asn1c2titan (const CenDsrcTollingZone &a)
void | titan2asn1c (const ITS__Container::DriveDirection &t, long &a)
void | titan2asn1c (const ITS__Container::CurvatureCalculationMode &t, long &a)
void | titan2asn1c (const ITS__Container::DangerousGoodsBasic &t, long &a)
void | titan2asn1c (const ITS__Container::CauseCode &t, CauseCode &a)
ITS__Container::CauseCode | asn1c2titan (const CauseCode &a)
void | titan2asn1c (const ITS__Container::TrafficRule &t, long &a)
void | titan2asn1c (const ITS__Container::PtActivation &t, PtActivation &a)
ITS__Container::PtActivation | asn1c2titan (const PtActivation &a)
void | titan2asn1c (const ITS__Container::HardShoulderStatus &t, HardShoulderStatus_t &a)
void | titan2asn1c (const ITS__Container::ClosedLanes &t, ClosedLanes &a)
ITS__Container::ClosedLanes | asn1c2titan (const ClosedLanes &a)
void | titan2asn1c (const ITS__Container::PosConfidenceEllipse &t, PosConfidenceEllipse &a)
ITS__Container::PosConfidenceEllipse | asn1c2titan (const PosConfidenceEllipse &a)
void | titan2asn1c (const ITS__Container::AltitudeConfidence &t, AltitudeConfidence_t &a)
void | titan2asn1c (const ITS__Container::Altitude &t, Altitude &a)
ITS__Container::Altitude | asn1c2titan (const Altitude &a)

## Macro Definition Documentation

## ◆ A2T

#define A2T | ( |  | F | ) | asn1c2titan(a.F)

## ◆ A2T_O

#define A2T_O | ( |  | T,
|  |  | F
| ) |  | asn1c2titan_opt<T>(a.F)

## ◆ T2A

#define T2A | ( |  | F | ) | titan2asn1c(t.F(), a.F)

## ◆ T2A_O

#define T2A_O | ( |  | F | ) | titan2asn1c_opt(t.F(), a.F)

## Function Documentation

## ◆ asn1c2titan() [1/22]

ITS__Container::ItsPduHeader asn1c2titan | ( | const ItsPduHeader & | a | ) |

## ◆ asn1c2titan() [2/22]

ITS__Container::ReferencePosition asn1c2titan | ( | const ReferencePosition & | a | ) |

## ◆ asn1c2titan() [3/22]

ITS__Container::DeltaReferencePosition asn1c2titan | ( | const DeltaReferencePosition & | a | ) |

## ◆ asn1c2titan() [4/22]

const ITS__Container::PathPoint asn1c2titan | ( | const PathPoint & | a | ) |

## ◆ asn1c2titan() [5/22]

ITS__Container::PathHistory asn1c2titan | ( | const PathHistory & | a | ) |

## ◆ asn1c2titan() [6/22]

ITS__Container::ProtectedCommunicationZone asn1c2titan | ( | const ProtectedCommunicationZone_t & | a | ) |

## ◆ asn1c2titan() [7/22]

ITS__Container::ProtectedCommunicationZonesRSU asn1c2titan | ( | const ProtectedCommunicationZonesRSU & | a | ) |

## ◆ asn1c2titan() [8/22]

ITS__Container::Heading asn1c2titan | ( | const Heading & | a | ) |

## ◆ asn1c2titan() [9/22]

ITS__Container::Speed asn1c2titan | ( | const Speed & | a | ) |

## ◆ asn1c2titan() [10/22]

ITS__Container::VehicleLength asn1c2titan | ( | const VehicleLength & | a | ) |

## ◆ asn1c2titan() [11/22]

ITS__Container::LongitudinalAcceleration asn1c2titan | ( | const LongitudinalAcceleration & | a | ) |

## ◆ asn1c2titan() [12/22]

ITS__Container::Curvature asn1c2titan | ( | const Curvature & | a | ) |

## ◆ asn1c2titan() [13/22]

ITS__Container::YawRate asn1c2titan | ( | const YawRate & | a | ) |

## ◆ asn1c2titan() [14/22]

ITS__Container::SteeringWheelAngle asn1c2titan | ( | const SteeringWheelAngle & | a | ) |

## ◆ asn1c2titan() [15/22]

ITS__Container::LateralAcceleration asn1c2titan | ( | const LateralAcceleration & | a | ) |

## ◆ asn1c2titan() [16/22]

ITS__Container::VerticalAcceleration asn1c2titan | ( | const VerticalAcceleration & | a | ) |

## ◆ asn1c2titan() [17/22]

ITS__Container::CenDsrcTollingZone asn1c2titan | ( | const CenDsrcTollingZone & | a | ) |

## ◆ asn1c2titan() [18/22]

ITS__Container::CauseCode asn1c2titan | ( | const CauseCode & | a | ) |

## ◆ asn1c2titan() [19/22]

ITS__Container::PtActivation asn1c2titan | ( | const PtActivation & | a | ) |

## ◆ asn1c2titan() [20/22]

ITS__Container::ClosedLanes asn1c2titan | ( | const ClosedLanes & | a | ) |

## ◆ asn1c2titan() [21/22]

ITS__Container::PosConfidenceEllipse asn1c2titan | ( | const PosConfidenceEllipse & | a | ) |

## ◆ asn1c2titan() [22/22]

ITS__Container::Altitude asn1c2titan | ( | const Altitude & | a | ) |

## ◆ titan2asn1c() [1/33]

void titan2asn1c | ( | const ITS__Container::ItsPduHeader & | t,
|  | ItsPduHeader & | a
| ) |  |

## ◆ titan2asn1c() [2/33]

void titan2asn1c | ( | const ITS__Container::ReferencePosition & | t,
|  | ReferencePosition & | a
| ) |  |

## ◆ titan2asn1c() [3/33]

void titan2asn1c | ( | const ITS__Container::VehicleRole & | t,
|  | long & | a
| ) |  |

## ◆ titan2asn1c() [4/33]

void titan2asn1c | ( | const ITS__Container::DeltaReferencePosition & | t,
|  | DeltaReferencePosition & | a
| ) |  |

## ◆ titan2asn1c() [5/33]

void titan2asn1c | ( | const ITS__Container::PathPoint & | t,
|  | PathPoint & | a
| ) |  |

## ◆ titan2asn1c() [6/33]

void titan2asn1c | ( | const ITS__Container::PathHistory & | t,
|  | PathHistory & | a
| ) |  |

## ◆ titan2asn1c() [7/33]

void titan2asn1c | ( | const ITS__Container::ProtectedZoneType & | t,
|  | ProtectedZoneType_t & | a
| ) |  |

## ◆ titan2asn1c() [8/33]

void titan2asn1c | ( | const ITS__Container::ProtectedCommunicationZone & | t,
|  | ProtectedCommunicationZone_t & | a
| ) |  |

## ◆ titan2asn1c() [9/33]

void titan2asn1c | ( | const ITS__Container::ProtectedCommunicationZonesRSU & | t,
|  | ProtectedCommunicationZonesRSU & | a
| ) |  |

## ◆ titan2asn1c() [10/33]

void titan2asn1c | ( | const ITS__Container::Heading & | t,
|  | Heading & | a
| ) |  |

## ◆ titan2asn1c() [11/33]

void titan2asn1c | ( | const ITS__Container::Speed & | t,
|  | Speed & | a
| ) |  |

## ◆ titan2asn1c() [12/33]

void titan2asn1c | ( | const ITS__Container::VehicleLengthConfidenceIndication & | t,
|  | VehicleLengthConfidenceIndication_t & | a
| ) |  |

## ◆ titan2asn1c() [13/33]

void titan2asn1c | ( | const ITS__Container::VehicleLength & | t,
|  | VehicleLength & | a
| ) |  |

## ◆ titan2asn1c() [14/33]

void titan2asn1c | ( | const ITS__Container::LongitudinalAcceleration & | t,
|  | LongitudinalAcceleration & | a
| ) |  |

## ◆ titan2asn1c() [15/33]

void titan2asn1c | ( | const ITS__Container::CurvatureConfidence & | t,
|  | CurvatureConfidence_t & | a
| ) |  |

## ◆ titan2asn1c() [16/33]

void titan2asn1c | ( | const ITS__Container::Curvature & | t,
|  | Curvature & | a
| ) |  |

## ◆ titan2asn1c() [17/33]

void titan2asn1c | ( | const ITS__Container::YawRateConfidence & | t,
|  | YawRateConfidence_t & | a
| ) |  |

## ◆ titan2asn1c() [18/33]

void titan2asn1c | ( | const ITS__Container::YawRate & | t,
|  | YawRate & | a
| ) |  |

## ◆ titan2asn1c() [19/33]

void titan2asn1c | ( | const ITS__Container::SteeringWheelAngle & | t,
|  | SteeringWheelAngle & | a
| ) |  |

## ◆ titan2asn1c() [20/33]

void titan2asn1c | ( | const ITS__Container::LateralAcceleration & | t,
|  | LateralAcceleration & | a
| ) |  |

## ◆ titan2asn1c() [21/33]

void titan2asn1c | ( | const ITS__Container::VerticalAcceleration & | t,
|  | VerticalAcceleration & | a
| ) |  |

## ◆ titan2asn1c() [22/33]

void titan2asn1c | ( | const ITS__Container::CenDsrcTollingZone & | t,
|  | CenDsrcTollingZone & | a
| ) |  |

## ◆ titan2asn1c() [23/33]

void titan2asn1c | ( | const ITS__Container::DriveDirection & | t,
|  | long & | a
| ) |  |

## ◆ titan2asn1c() [24/33]

void titan2asn1c | ( | const ITS__Container::CurvatureCalculationMode & | t,
|  | long & | a
| ) |  |

## ◆ titan2asn1c() [25/33]

void titan2asn1c | ( | const ITS__Container::DangerousGoodsBasic & | t,
|  | long & | a
| ) |  |

## ◆ titan2asn1c() [26/33]

void titan2asn1c | ( | const ITS__Container::CauseCode & | t,
|  | CauseCode & | a
| ) |  |

## ◆ titan2asn1c() [27/33]

void titan2asn1c | ( | const ITS__Container::TrafficRule & | t,
|  | long & | a
| ) |  |

## ◆ titan2asn1c() [28/33]

void titan2asn1c | ( | const ITS__Container::PtActivation & | t,
|  | PtActivation & | a
| ) |  |

## ◆ titan2asn1c() [29/33]

void titan2asn1c | ( | const ITS__Container::HardShoulderStatus & | t,
|  | HardShoulderStatus_t & | a
| ) |  |

## ◆ titan2asn1c() [30/33]

void titan2asn1c | ( | const ITS__Container::ClosedLanes & | t,
|  | ClosedLanes & | a
| ) |  |

## ◆ titan2asn1c() [31/33]

void titan2asn1c | ( | const ITS__Container::PosConfidenceEllipse & | t,
|  | PosConfidenceEllipse & | a
| ) |  |

## ◆ titan2asn1c() [32/33]

void titan2asn1c | ( | const ITS__Container::AltitudeConfidence & | t,
|  | AltitudeConfidence_t & | a
| ) |  |

## ◆ titan2asn1c() [33/33]

void titan2asn1c | ( | const ITS__Container::Altitude & | t,
|  | Altitude & | a
| ) |  |